package pb
import (
	"net/http"

	"golang.org/x/net/context"
	"google.golang.org/grpc"
	"unosoft.hu/ws/bruno/pb/portal"
	"unosoft.hu/ws/bruno/pb/karnavigator"
	"unosoft.hu/ws/bruno/pb/portal_tst"
	"unosoft.hu/ws/bruno/pb/direkt"
	"unosoft.hu/ws/bruno/pb/bay"
	"unosoft.hu/ws/bruno/pb/frontend"

)
var Clientors = make(map[string](func(conn *grpc.ClientConn) func(context.Context, interface{}, ...grpc.CallOption) (interface{}, error)))
var Unmarshalers = make(map[string](func([]byte) (interface{}, error)))
var LetmeHandlers = make(map[string](func(grpcAddr string, opts ...grpc.DialOption) (http.Handler, error)))

func init() {

	for k, v := range portal_tst.Clientors { Clientors[k] = v }
	for k, v := range portal_tst.Unmarshalers { Unmarshalers[k] = v }
	LetmeHandlers["portal_tst"] = func(grpcAddr string, opts ...grpc.DialOption) (http.Handler, error) { return portal_tst.NewHandler(grpcAddr, portal_tst.DefaultHtmlStringer, opts...) }
	
	for k, v := range direkt.Clientors { Clientors[k] = v }
	for k, v := range direkt.Unmarshalers { Unmarshalers[k] = v }
	LetmeHandlers["direkt"] = func(grpcAddr string, opts ...grpc.DialOption) (http.Handler, error) { return direkt.NewHandler(grpcAddr, direkt.DefaultHtmlStringer, opts...) }
	
	for k, v := range bay.Clientors { Clientors[k] = v }
	for k, v := range bay.Unmarshalers { Unmarshalers[k] = v }
	LetmeHandlers["bay"] = func(grpcAddr string, opts ...grpc.DialOption) (http.Handler, error) { return bay.NewHandler(grpcAddr, bay.DefaultHtmlStringer, opts...) }
	
	for k, v := range frontend.Clientors { Clientors[k] = v }
	for k, v := range frontend.Unmarshalers { Unmarshalers[k] = v }
	LetmeHandlers["frontend"] = func(grpcAddr string, opts ...grpc.DialOption) (http.Handler, error) { return frontend.NewHandler(grpcAddr, frontend.DefaultHtmlStringer, opts...) }
	
	for k, v := range portal.Clientors { Clientors[k] = v }
	for k, v := range portal.Unmarshalers { Unmarshalers[k] = v }
	LetmeHandlers["portal"] = func(grpcAddr string, opts ...grpc.DialOption) (http.Handler, error) { return portal.NewHandler(grpcAddr, portal.DefaultHtmlStringer, opts...) }
	
	for k, v := range karnavigator.Clientors { Clientors[k] = v }
	for k, v := range karnavigator.Unmarshalers { Unmarshalers[k] = v }
	LetmeHandlers["karnavigator"] = func(grpcAddr string, opts ...grpc.DialOption) (http.Handler, error) { return karnavigator.NewHandler(grpcAddr, karnavigator.DefaultHtmlStringer, opts...) }
	}
